	
!NEW SO2 EMISSIONS FROM ftp://ftp-ccu.jrc.it/pub/Aerocom/Emis_ASCII_2000/


module AEROCOM_EM

use global_dyn
use distribution_dyn


	implicit none

	public :: AEROCOM_EMISSIONS, AEROCOM_DISTRIBUTION, AEROCOM_MASS2DIST

	contains


		subroutine AEROCOM_EMISSIONS(ffsoot, fforg, BMsoot, BMorg, so2_roa, so2_int, &	 
			   so2_dom, so2_off, so2_ind, so2_pow, BForg, BFbc)	
		
		!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%						 !
		!EXTRACTS MASS BASED EMISSIONS FROM THE AEROCOM AND GFED DATA BASES              !
		!P. TUNVED 2010																	 !
		!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%	

		integer :: inder, p
		real(real_x), dimension(24540, 3) ::	ffsoot
		real(real_x), dimension(33327, 3) ::	fforg
		real(real_x), dimension(14839, 15) ::	BMsoot
		real(real_x), dimension(15616, 15) ::	BMorg
		real(real_x), dimension(10088, 3) ::	BFbc
		real(real_x), dimension(11522, 3) ::	BForg

		real(real_x), dimension(10430, 3) ::	so2_dom
		real(real_x), dimension(6584, 3) ::		so2_ind
		real(real_x), dimension(8986,3) ::		so2_off
		real(real_x), dimension(6581,3) ::		so2_pow
		real(real_x), dimension(10457, 3)::		so2_roa
		real(real_x), dimension(967, 3) ::		so2_int
    
        

		!%%%%%%%%%%%%%%%%%%%%%%%%%BIOMASS SOOT%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		inder=0
		BM_soot=0
		do p=1, 14838
		if (int(BMsoot(p, 1))==int(longi) .and. int(BMsoot(p, 2))==int(lat)) then
		inder=inder+1
		BM_soot=BM_soot+1000.*BMsoot(p, month+3)/((30.*24.*3600.)*boundary) !g/m2*s. Files recalculaded to produce kg/m2NB per month, not per year
		end if
		end do

		if (BM_soot>0) then
		BM_soot=BM_soot/inder
		end if

		!%%%%%%%%%%%%%%%%%%%%%%%%%%BIOMASS_ORGANIC%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		BM_org=0
		do p=1, 15615
		if (int(BMorg(p, 1))==int(longi) .and. int(BMorg(p, 2))==int(lat)) then
		inder=inder+1
		BM_org=BM_org+1000.*BMorg(p, month+3)/((30.*24.*3600.)*boundary) !g/m2*s. Files recalculaded to produce kg/m2 NB per month, not per year
		end if
		end do

		if (BM_org>0) then
		BM_org=BM_org/inder
		end if

		
		!%%%%%%%%%%%%%%%%%%%%%FOSSIL FUEL SOOT%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		do p=1, 24540

		if (int(ffsoot(p, 1))==int(longi) .and. int(ffsoot(p, 2))==int(lat)) goto 19
		end do

		19 continue

		if (p>=24540) then
		ff_soot=0
		else
		ff_soot=1000*ffsoot(p, 3)/((365.*24.*3600.)*boundary) !g/m2*s. Files recalculaded to produce kg/m2
		end IF 

		!%%%%%%%%%%%%%%%%%%%%%FOSSIL FUEL ORGANIC%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		do p=1, 33327
		if (int(ffORG(p, 1))==int(longi) .and. int(fforg(p, 2))==int(lat)) goto 20
		end do

		20 continue
		
		if (p>=33327) then
		ff_org=0
		else
		ff_org=1000.*fforg(p, 3)/((365.*24.*3600.)*boundary) !g/m2*s. Files recalculaded to produce kg/m2
		end IF 


		!%%%%%%%%%%%%%%%%%%%%%%%%%BIOFUELS SOOT%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		inder=0
		BF_bc=0
		do p=1, 10088
		if (int(BFbc(p, 1))==int(longi) .and. int(BFbc(p, 2))==int(lat)) then
		inder=inder+1
		BF_bc=BF_bc+1000.*BFbc(p, 3)/((365.*24.*3600.)*boundary) !g/m2*s. Files recalculaded to produce kg/m2 NB per month, not per year
		end if
		end do

		if (BF_bc>0) then
		BF_bc=BF_bc/inder
		end if
		
		
		!%%%%%%%%%%%%%%%%%%%%%%%%%BIOFUELS ORGANIC%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		inder=0
		BF_org=0
		do p=1, 11522
		if (int(BForg(p, 1))==int(longi) .and. int(BForg(p, 2))==int(lat)) then
		inder=inder+1
		BF_org=BF_org+1000.*BForg(p, 3)/((365.*24.*3600.)*boundary) !g/m2*s. Files recalculaded to produce kg/m2 NB per month, not per year
		end if
		end do

		if (BF_org>0) then
		BF_org=BF_org/inder
		end if
	



		!%%%%%%%%%%%%%%%%%%%%%%%%%SO2 EMISSIONS BELOW%%%%%%%%%%%%%%%%%%%%%%%%%


		!DOMESTIC SO2 EMISSIONS

		inder=0
		so2dom=0
		do p=1, 10430
		if (int(so2_dom(p, 1))==int(longi) .and. int(so2_dom(p, 2))==int(lat)) then
		inder=inder+1
		so2dom=so2dom+6.022e23*1000*so2_dom(p, 3)/(365*24*3600*64*boundary)
		end if
		end do

		if (so2dom>0) then
		so2dom=so2dom/inder
		end if

		
		
		!INDUSTRIAL SO2 EMISSIONS

		inder=0
		so2ind=0
		do p=1, 6584
		if (int(so2_ind(p, 1))==int(longi) .and. int(so2_ind(p, 2))==int(lat)) then
		inder=inder+1
		so2ind=so2ind+6.022e23*1000*so2_ind(p, 3)/(365*24*3600*64*boundary)
		endif
		end do

		if (so2ind>0) then
		so2ind=so2ind/inder
		end if

		
		
		! OFFROAD SO2 EMISSIONS

		inder=0
		so2off=0
		do p=1, 8986
		if (int(so2_off(p, 1))==int(longi) .and. int(so2_off(p, 2))==int(lat)) then
		inder=inder+1
		so2off=so2off+6.022e23*1000*so2_off(p, 3)/(365*24*3600*64*boundary)
		end if
		end do

		if (so2off>0) then
		so2off=so2off/inder
		end if



		!POWER SO2 EMISSIONS

		inder=0
		so2pow=0
		do p=1, 6581
		if (int(so2_pow(p, 1))==int(longi) .and. int(so2_pow(p, 2))==int(lat)) then
		inder=inder+1
		so2pow=so2pow+6.022e23*1000*so2_pow(p, 3)/(365*24*3600*64*boundary)
		end if
		end do

		if (so2pow>0) then
		so2pow=so2pow/inder
		end if

		
		
		!ROAD SO2 EMISSIONS

		inder=0
		so2roa=0
		do p=1, 10457
		if (int(so2_roa(p, 1))==int(longi) .and. int(so2_roa(p, 2))==int(lat)) then
		inder=inder+1
		so2roa=so2roa+6.022e23*1000*so2_roa(p, 3)/(365*24*3600*64*boundary)
		end if
		end do

		if (so2roa>0) then
		so2roa=so2roa/inder
		end if


		!INT SHIPPING SO2 EMISSIONS

		inder=0
		so2int=0
		do p=1, 967
		if (int(so2_int(p, 1))==int(longi) .and. int(so2_int(p, 2))==int(lat)) then
		inder=inder+1
		so2int=so2int+6.022e23*1000*so2_int(p, 3)/(365*24*3600*64*boundary)
		end if
		end do


		if (so2int>0) then
		so2int=so2int/inder
		end if
		!em_mat(3)=1.e-6*(so2int+so2roa+so2dom+so2ind+so2off+so2pow)!, em_mat(3)




		
		
		end subroutine AEROCOM_EMISSIONS
	

		subroutine AEROCOM_DISTRIBUTION(pathway)	


		!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		!READS IN THE SIZE DISTRIBUTIONS (BASED ON LOGNORMAL PARAMETERS) FROM	! 
		!CORRESPONDING FILES													!
		!P. Tunved 2010															!
		!%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		
		integer :: jj
		real(real_x), dimension(modes) ::	n_mode, sigma, rp
	    real(real_x), dimension(modes,compo) :: mfractions
	    real(real_x) :: r_min, r_max
		character :: pathway*900
	
	
		open(unit=91, file= pathway(1:8)//'ff_soot_dist.dat')
		read(91,*) r_min, r_max, dist_approach
	
		read(91,*) n_mode(1), sigma(1), rp(1), n_mode(2), sigma(2), rp(2), n_mode(3), sigma(3), rp(3), (mfractions(1,jj),jj=1,compo), (mfractions(2,jj),jj=1,compo), (mfractions(3,jj),jj=1,compo)
	
		call init_dist(r_min, r_max, n_mode, sigma, rp, mfractions)

		n_sootff=n_conc
		vol_sootff=vol_conc


		close(91)
		open(unit=91, file=pathway(1:8)//'ff_org_dist.dat')
		read(91,*) r_min, r_max, dist_approach
	
		read(91,*) n_mode(1), sigma(1), rp(1), n_mode(2), sigma(2), rp(2), n_mode(3), sigma(3), rp(3), (mfractions(1,jj),jj=1,compo), (mfractions(2,jj),jj=1,compo), (mfractions(3,jj),jj=1,compo)

		call init_dist(r_min, r_max, n_mode, sigma, rp, mfractions)

		n_orgff=n_conc
		vol_orgff=vol_conc


		close(91)
		open(unit=91, file=pathway(1:8)//'BM_soot_dist.dat')
		read(91,*) r_min, r_max, dist_approach
	
		read(91,*) n_mode(1), sigma(1), rp(1), n_mode(2), sigma(2), rp(2), n_mode(3), sigma(3), rp(3), (mfractions(1,jj),jj=1,compo), (mfractions(2,jj),jj=1,compo), (mfractions(3,jj),jj=1,compo)
		
		call init_dist(r_min, r_max, n_mode, sigma, rp, mfractions)

		n_sootBM=n_conc
		vol_sootBM=vol_conc

		close(91)
		open(unit=91, file=pathway(1:8)//'BM_org_dist.dat')
		read(91,*) r_min, r_max, dist_approach
		
		
		read(91,*) n_mode(1), sigma(1), rp(1), n_mode(2), sigma(2), rp(2), n_mode(3), sigma(3), rp(3), (mfractions(1,jj),jj=1,compo), (mfractions(2,jj),jj=1,compo), (mfractions(3,jj),jj=1,compo)
			
		call init_dist(r_min, r_max, n_mode, sigma, rp, mfractions)

		n_orgBM=n_conc
		vol_orgBM=vol_conc

		close(91)
		open(unit=91, file=pathway(1:8)//'sulf_prim_dist.dat')
		read(91,*) r_min, r_max, dist_approach
	
		read(91,*) n_mode(1), sigma(1), rp(1), n_mode(2), sigma(2), rp(2), n_mode(3), sigma(3), rp(3), (mfractions(1,jj),jj=1,compo), (mfractions(2,jj),jj=1,compo), (mfractions(3,jj),jj=1,compo)
		
		call init_dist(r_min, r_max, n_mode, sigma, rp, mfractions)

		n_sulf=n_conc
		vol_sulf=vol_conc

		close(91)

		open(unit=91, file=pathway(1:8)//'BF_org_dist.dat')
		read(91,*) r_min, r_max, dist_approach
		
		read(91,*) n_mode(1), sigma(1), rp(1), n_mode(2), sigma(2), rp(2), n_mode(3), sigma(3), rp(3), (mfractions(1,jj),jj=1,compo), (mfractions(2,jj),jj=1,compo), (mfractions(3,jj),jj=1,compo)
			
		call init_dist(r_min, r_max, n_mode, sigma, rp, mfractions)

		n_orgBF=n_conc
		vol_orgBF=vol_conc

		close(91)

		open(unit=91, file=pathway(1:8)//'BF_soot_dist.dat')
		read(91,*) r_min, r_max, dist_approach
	
		read(91,*) n_mode(1), sigma(1), rp(1), n_mode(2), sigma(2), rp(2), n_mode(3), sigma(3), rp(3), (mfractions(1,jj),jj=1,compo), (mfractions(2,jj),jj=1,compo), (mfractions(3,jj),jj=1,compo)
		
		call init_dist(r_min, r_max, n_mode, sigma, rp, mfractions)

		n_sootBF=n_conc
		vol_sootBF=vol_conc

		close(91)
		
		end subroutine AEROCOM_DISTRIBUTION


		subroutine AEROCOM_MASS2DIST(emission_factors)
		
		real(real_x), dimension(2, 12) ::		emission_factors
		real(real_x) :: prim_frac
	
			!ADJUSTING EMISSIONS TO SEASONAL VARIATION
	!	em_mat(3)=em_mat(3)*emission_factors(1, monthen)

	!	em_mat(1:2)=em_mat(1:2)*emission_factors(2, monthen)
			
		!FOR FOSSIL FUEL SOOT
	
		prim_frac=emission_factors(2, monthen)*(timestep*1.e-3*ff_soot/density(3))/sum(vol_sootff/scale**3.)
		n_conc=n_conc+prim_frac*n_sootff
		vol_conc=vol_conc+prim_frac*vol_sootff

		!FOR BIOMASS SOOT
		prim_frac=(timestep*1.e-3*BM_soot/density(3))/sum(vol_sootBM/scale**3.)
		n_conc=n_conc+prim_frac*n_sootBM
		vol_conc=vol_conc+prim_frac*vol_sootBM

		!FOR BIOFUEL soot
		prim_frac=emission_factors(2, monthen)*(timestep*1.e-3*BF_bc/density(3))/sum(vol_sootBF/scale**3.)
		n_conc=n_conc+prim_frac*n_sootBF
		vol_conc=vol_conc+prim_frac*vol_sootBF


		!FOR FOSSIL FUEL POM
		prim_frac=emission_factors(2, monthen)*(timestep*1.e-3*ff_org/density(2))/sum(vol_orgff/scale**3.)
		n_conc=n_conc+prim_frac*n_orgff
		vol_conc=vol_conc+prim_frac*vol_orgff
	
		!FOR BIOMASS POMbad romance
		prim_frac=(timestep*1.e-3*BM_org/density(2))/sum(vol_orgBM/scale**3.)
		n_conc=n_conc+prim_frac*n_orgBM
		vol_conc=vol_conc+prim_frac*vol_orgBM

		!FOR BIOFUEL POM

		prim_frac=emission_factors(2, monthen)*(timestep*1.e-3*BF_org/density(2))/sum(vol_orgBF/scale**3.)
		n_conc=n_conc+prim_frac*n_orgBF
		vol_conc=vol_conc+prim_frac*vol_orgBF

		
		!2.5% OF SO2 EMISSIONS ASSUMED TO BE DIRECTLY EMITTED AS H2SO4 PARTICLES
		S_prim=(0.025*em_mat(3)*1e6/avogadro)*(32.+16*4) !(g/m3), 2.5 % of sulfur as SO4
		prim_frac=(timestep*1.e-3*S_prim/density(1))/sum(vol_sulf/scale**3.)
		n_conc=n_conc+prim_frac*n_sulf
		vol_conc=vol_conc+prim_frac*vol_sulf
		em_mat(3)=em_mat(3)*0.975 !adjusting the emission of sulfur (i.e. -2.5%)

end subroutine AEROCOM_MASS2DIST





		end module AEROCOM_EM