
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%Function to calculate coagulation and reallocation of coagulated particles
%over dt based on input size distribution
%
%Created by Peter Tunved 2015
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    function n_coag=COAGULATION(N, Dp, nbins, temp, press, mass)



    vol=pi./6*Dp.^3;                                                            %volume particles (m3)
    radius=Dp/2;                                                                %Radius of particles (m)
    n_coag(1:nbins+1)=0;

    

    global  dp_bins1 dp_bins2 frac_bin1 frac_bin2 K12 ind_op N_limit        %Global variables
    
  
    if ind_op==0
    for o=1:nbins-1
    for oo=1:nbins-1
    [dp_bins1(o,oo),dp_bins2(o,oo),frac_bin1(o, oo),frac_bin2(o,oo) ]=...   %Claculates where to allocate product of coagulation
    coags_find(radius(o),radius(oo), vol, nbins);                           %This is done once only...to save time...
    end
    end
    end
    ind_op=1;                                                               %Just an index

    for o=1:nbins-1;                                                        %From bin o 
    for oo=1:nbins-1;                                                       %to bin oo
    if N(o)>N_limit & N(oo)>N_limit                                         %Checks if unnecessary calc. can be avoided
        
    K12=coag_coeff(radius(o), radius(oo), temp, press,mass(o), mass(oo));                                  %Coagulation koefficient for Rp(o) and Rp(oo) at T and P
    if oo==o
    delta=0.5;
    else
    delta=1;
    end
  
    
    %%%%%%%%%%%%%%%%%%%%%EFFECT OF COAGULATION%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    coagul = delta*K12*N(o)*N(oo); 
    n_coag(o)=n_coag(o)-coagul;
    n_coag(o)=n_coag(o)-coagul;
    
    n_coag(dp_bins1(o,oo)) = n_coag(dp_bins1(o,oo)) + frac_bin1(o,oo)*coagul;	
	n_coag(dp_bins2(o,oo)) = n_coag(dp_bins2(o,oo)) + frac_bin2(o,oo)*coagul;
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%         
             
        end
    end
end


end  





