%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Calculates Stokes number as function of friction velocity, kinematic
%viscosity and settling velocity for use in deposition calculations (Quasi
%laminar resistance, impaction term)
%
%Usage: [St, unitless]=N_Stokes(sett_veloc, kinemat_visc, ustar)

function [St, units]=N_Stokes(sett_veloc, kinemat_visc, ustar)

if nargin==3
g=9.81;                                                                     %m/s2

St=ustar^2*sett_veloc/(g*kinemat_visc);                                     %Stokes number
units='unitless';

else
    error('Function require input of settling velocity(m/s), kinematic viscosity(m2/s) and friction velocity (m/s)')
end
end



