%
%
% Function for calculating Reynolds number. 
% Usage: Re=Reynolds(Dp,temp, press, v) where Dp is diameter of particle,
% temp is T in K, press is pressure in Pa and v is fluid velocity in m/s
%
% Peter tunved, ITM/SU, 2011
%
%



function [Re, unit]=Reynolds(Dp, temp, press, v)


if nargin==4
    
   units='unitless'; 
 
    Re=Dp.*v.*dens_air(temp, press)./(viscosity_air(temp));
    
else
    
    error('Function needs input of Dp(m), Temp (K), pressure(Pa) and velocity (m/s)')
    
end