%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Function to calculate the air mean free path fro,m temperature and
%pressure.
%
%Peter Tunved, 2015.
%
%Usage: [air_mean_path, units]=air_mean_free_path(temp, press)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [air_mean_path, units]=air_mean_free_path(temp, press)

pstand=101325;
if nargin==2
    
air_mean_path = (6.73d-8*temp*(1.+110.4/temp))/(296.*press/pstand*1.373);	
units='m';
else

    disp('Two input arguments required...Temperature in K and Pressure in Pa')
end