%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Function to locate what bin newly coagulated particles will end up in
%Requires input of radius 1&2 of coagulating particles (m), volume (m3) and
%number of bins represented.
%
%
%Usage: [dp_bins1,dp_bins2,frac_bin1,frac_bin2 ]=coags_find(r1, r2, vol,...
%nbins)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [dp_bins1,dp_bins2,frac_bin1,frac_bin2 ]=coags_find(r1, r2, vol, nbins)


%volume of new particle
v_dpnew=4/3*pi*(r1.^3+r2.^3);

dp_bins1=find(vol<=v_dpnew & vol<=v_dpnew );

dp_bins1=dp_bins1(length(dp_bins1));
dp_bins2=dp_bins1+1;


if dp_bins2>(nbins) 
    dp_bins2=nbins;
   
end

	frac_bin1 = (vol(dp_bins2)-v_dpnew)/(vol(dp_bins2)-vol(dp_bins1));	% number fraction moved to lower section
	frac_bin2 = (v_dpnew-vol(dp_bins1))/(vol(dp_bins2)-vol(dp_bins1)); 

end