%
%
%
% Function to calculate cunnigham correction according to Allen and Raabe,
% Aer.Sci Tech, 4, 269.
% 
% Usage: [corr, units]=cunningham_correction(knudsen)
%
% Peter Tunved, ITM/SU, 2015
%cunningham correction
%


function [corr, units]=cunningham_correction(knudsen)

units='unitless';

if nargin==1
    corr = 1. + knudsen.*(1.257+0.4*exp(-1.1./knudsen));
else
    
    error('Function needs input of Knudsen number')
end
