% 
%
% Function for calculating air density (kg/m3) at temp T (K) and pressure p (pa)
%
% Peter Tunved, ITM/SU 2011

function [air_density, unit]=density_air(temp, press)


if nargin==2
air_density = 1.2929*273.15*press/(temp*101325);
unit='kg/m3';
else
    error('Function needs input of temperature(K) and pressure (Pa)')
    
end
