%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Diffusion focefficient of particle as 
%function of Dp(m), temperature(K) and Cc
%
%Peter Tunved, ITM/SU, 2015
%
%Usage: [diff_Dp, units]=diffusion_particle(temp, Cc, Dp)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [diff_Dp, units]=diffusion_particle(temp, Cc, Dp)

if nargin==3

boltzmann = 1.3807e-23;
diff_Dp = boltzmann*temp*Cc./(3*pi*viscosity_air(temp).*Dp);                      % particle diffusion coefficient (m^2/s)

units='m2/s';

else
    
    error('Function requires input of T(K), Cunningham correction(Cc(Dp)) and Dp(m)'
    
end

