%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Function for calculating difussivity of gases as function of molar mass
% of gas, diffucsion volume, pressure and temperature.
%
%Written by Peter Tunved, 2015.
%
%Usage: [diffusion, units]=diffusivity(molar_gas, d_gas, pres, temp)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




function [diffusion, units]=diffusivity(molar_gas, d_gas, pres, temp)


if nargin==4
    pstand=101325;
    
    d_air = 19.70;                                                          %diffusion volume of air (???)
    molar_air = 28.965;

	diffusion = 1.d-7*temp^1.75*sqrt(1./molar_air + 1./(molar_gas));
	diffusion = diffusion/( (pres/pstand)*(d_air^(1./3.)+(d_gas)^(1./3.))^2 );
    units='m2/s';
else
    
    error('Function need tree input parameters: molar mass (kg/mol), diffusion volume, pressure (Pa) and temperature (K)')
    
end