
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Function to calculate the drag coefficient (Cd) depening on reynolds
% number Re
% 
%
% Peter tunved, ITM/SU, 2011
%
%Usage: Cd=drag_coeff(Re)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [Cd, units]=drag_coeff(Re)

if nargin==1
    units='unitless';
    if Re<1
        Cd=24/Re;
    elseif Re>0.1 & Re <2
            Cd=(24/Re)*(1+3/16*Re+9/160*Re^2*log(2*Re));
        elseif Re>2 & Re<= 500
            Cd=24/Re*(1+0.15*Re^0.687);
        else
            Cd=0.44;
        end
        
    else
        error('Function require input of Re')
    end
    