
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Calculates kinematic viscosity of air from air density and air viscosity                                    
%                                                                         
%Peter Tunved, ITM/SU; 2015 
%
%
%Usage: [kinemat_visc]=kinematic_viscosity(air_density, visc_air);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [kinemat_visc, units]=kinematic_viscosity(air_density, visc_air);             
if nargin==2

kinemat_visc=visc_air/air_density;                                          %Kinematic viscosity of air

units='m2/s';
else
    error('Function requires input of air density (kg/m3) and air viscosity')

end
