%
%
% Function to calculate the Knudsen number as function of
% temperature T(K), pressure (Pa) and particle diameter Dp(m).
% 
% Usage: Kn=knudsen(temp, press, Dp) 
%
% Peter Tunved, ITM/SU, 2011
%
%


function [Kn, units]=knudsen(temp, press, Dp)

if nargin==3
    units='unitless';
  
    Kn=2*mean_free_path(temp, press)./Dp;
    
else
     error('Function needs input of temperature T (K), pressure p(Pa) and particle diameter Dp(m)')
     
 end
 