%
%
%
% Function to calculate the mean free path of air (m) depening on temp (K) and 
% pressure (Pa)
% 
% Usage: lambda=mean_free_path(temp, press) (m)
%
% Peter Tunved, ITM/SU, 2011
%
%

function lambda=mean_free_path(temp, press)

pstand=101325;

if nargin==2


lambda = (6.73d-8*temp*(1.0+110.4/temp))/(296.*press/pstand*1.373);

else
    
    error('Function needs input of temperature T (K) and pressure p(Pa)')
end
