
for a=0:1:100
    r1=1e-9*10^(a*0.05)
    
    

temp=295;
pres=101325;
pstand=101325;
boltzmann = 1.3807e-23;

radii(1)=r1;    %m
radii(2)=r2 ;  %m
rho=1000  ;  %kg/m3

m_part(1)=4/3*pi*radii(1)^3*rho;
m_part(2)=4/3*pi*radii(2)^3*rho;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%Knudsen number%%%%%%%%%%%%%%%%%%%%%%

	
	free_path = (6.73d-8*temp*(1.+110.4/temp))./(296.*pres/pstand*1.373);	
	viscosity = (1.832d-5*406.4*temp^1.5)./(5093*(temp+110.4));
				


	knudsen = free_path./radii		;						% particle Knudsen number	
	corr = 1. + knudsen.*(1.142+0.558*exp(-0.999./knudsen));	% Cunninghan correction factor (Allen and Raabe, Aerosol Sci. Tech. 4, 269)
	diff = boltzmann*temp*corr./(6*pi*viscosity*radii)		;% particle diffusion coefficient (m^2/s)
	veloc = sqrt((8.*boltzmann*temp)./(pi*m_part))	;% mean thermal velocity of a particle (cm/s)
    
    
    k11_cont(a+1)=4*boltzmann*temp/(3*free_path); %coag_coeff in continium regime
    
    k11_freemol(a+1)=4*(6*boltzmann*temp/(rho))^0.5*(2*r1)^0.5; %coag_coeff in free molec. regime
    
    r1a(a+1)=r1;
end
    semilogx(r1a, k11_cont+k11_freemol, 'k') 