% Function for calculating Schmidt number (Sc) of  particle as function of
% air density (kg/m3), diffusion koefficient of particle (m2/s) and air
% viscosity (Pa/s). Input may be in scalar or vector form.
%
%
%Usage: [Sc, units]=schmidt(density_air, diffusion, viscosity_air)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [Sc, units]=schmidt(density_air, diffusion, viscosity_air)


if nargin==3

  Sc=viscosity_air./(density_air.*diffusion);                               %Schmidt number
  units='unitless';

else
    
    error('Requires input of density_air, diffusion, visosity')
    
end
end
