%
%
%
% Function to calculate the slip correction factor of particle of diameter 
% Dp depening on temp (K), pressure (Pa) and Dp (m).
% 
% Usage: Cc=slip_correct(temp, press, Dp)
%
% Peter Tunved, ITM/SU, 2011
%
%


function [Cc, units]=slip_correct(temp, press, Dp)


if nargin==3
    units='unitless';
    Cc=1+(2*mean_free_path(temp, press)./Dp).*(1.257+0.4*exp(-(1.1*Dp./2*mean_free_path(temp, press))));
    
else
    
    error('Function needs input of temperature T(K), pressure p(Pa) and diameter Dp(m)')
end
