%
%
%
% Function to calculate the drag force of a sphere with Dp (m) epxeriencing a relative
% motion of velocity v(m/s), pressure P(Pa) and temperature T(K).
% Usage: Fdrag=stokes(temp, press, Dp, v)
%
%
% Peter tunved, ITM/SU, 2011
%
%

function Fdrag=stokes_law(temp,press, Dp, v)


if nargin==4
 
     Fdrag=6*pi*viscosity_air(temp)*Dp/2*v; %(uncorrected)
     Fdrag=3*pi*viscosity_air(temp)*v*Dp/slip_correct(temp, press, Dp); % corrected for slip
    
else
    
    error('function need input of Temp(K), pressure P(Pa), Dp(m) and v(m/s)')
end
