
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Function to calculate surface tension of pure water as function of temp-
%erature, T (K).
%
%Peter Tunved, 2015.
%
%Usage: [sigma, units]=surface_tension(temp)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [sigma, units]=surface_tension(temp)



if nargin==1
sigma=(7.61e-2-1.55e-4*(temp-273));

units='N*m-1';

else
    error('Function need input of temperature in Kelvin')
    
end