%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Function of calcluating viscosity (kg/ms) of air as function of Temp
% Usage: Visc_air=viscosity_air(temp) where Temp is T in K
% 
%
%Peter Tunved, ITM/SU, 2011
%
%Usage: [visc_air, units]=viscosity_air(temp)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function  [visc_air, units]=viscosity_air(temp)


if nargin==1
    
    units='Pa*s';

    visc_air = (1.832d-5*406.4*temp^1.5)/(5093*(temp+110.4));
    
else
    
   error('One input required: Temp in K')
   
end


    